Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1606329 - apipie param type :number is not a valid validator
Summary: apipie param type :number is not a valid validator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Andrew Kofink
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-20 19:31 UTC by Andrew Kofink
Modified: 2019-04-01 20:27 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-23 19:58:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23287 None None None 2018-07-20 19:31:39 UTC

Description Andrew Kofink 2018-07-20 19:31:37 UTC
It should be Integer or Numeric. As it is, apipie interprets the param as a string.

Comment 1 Andrew Kofink 2018-07-20 19:31:41 UTC
Created from redmine issue https://projects.theforeman.org/issues/23287

Comment 2 Andrew Kofink 2018-07-20 19:31:44 UTC
Upstream bug assigned to akofink@redhat.com


Note You need to log in before you can comment on or make changes to this bug.